> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sudo.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Account

> Creates a new account.



## OpenAPI

````yaml openapi.json post /accounts
openapi: 3.1.0
info:
  title: Sudo Sandbox API
  version: '1.0'
servers:
  - url: https://api.sandbox.sudo.cards
security:
  - sec0: []
paths:
  /accounts:
    post:
      summary: Create Account
      description: Creates a new account.
      operationId: create-account
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - type
                - currency
                - accountType
              properties:
                type:
                  type: string
                  description: The type of account
                  default: account
                  enum:
                    - account
                    - wallet
                currency:
                  type: string
                  description: The currency of the account.
                  default: NGN
                  enum:
                    - NGN
                    - USD
                accountType:
                  type: string
                  description: The account type.
                  default: Savings
                  enum:
                    - Savings
                    - Current
                customerId:
                  type: string
                  description: The id of the customer. Required when 'type' is `wallet`.
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      x-default: '{{APIKey}}'

````